libghc-polynomial-dev_0.7.3-5+b3_i386.deb


Advertisement

Description

libghc-polynomial-dev - haskell types and functions for working with polynomials

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename libghc-polynomial-dev_0.7.3-5+b3_i386.deb
Package name libghc-polynomial-dev
Package version 0.7.3
Package release 5+b3
Package architecture i386
Package type deb
Category haskell
Homepage https://github.com/mokus0/polynomial
License -
Maintainer Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Download size 201.05 KB
Installed size 1.53 MB

Alternatives

Package Version Architecture Repository
libghc-polynomial-dev_0.7.3-5+b3_amd64.deb 0.7.3 amd64 Debian Main
libghc-polynomial-dev - - -

Requires

Name Value
libatomic1 >= 4.8
libc6 >= 2.1.3
libghc-base-dev-4.12.0.0-701e2 -
libghc-deepseq-dev-1.4.4.0-2442b -
libghc-pretty-dev-1.1.3.6-6dd83 -
libghc-vector-dev-0.12.0.3-2b548 -
libghc-vector-space-dev-0.15-7a06c -
libghc-vector-th-unbox-dev-0.2.1.6-b94f4 -
libgmp10 -

Provides

Name Value
libghc-polynomial-dev-0.7.3-f4f95 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libghc-polynomial-dev_0.7.3-5+b3_i386.deb
Source Package haskell-polynomial

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libghc-polynomial-dev deb package:
    # sudo apt-get install libghc-polynomial-dev

Files

Path
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/libHSpolynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw-ghc8.6.5.so
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/libHSpolynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw.a
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Data/List/ZipSum.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Data/List/ZipSum.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Data/VectorSpace/WrappedNum.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Data/VectorSpace/WrappedNum.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/Bernoulli.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/Bernoulli.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/Bernstein.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/Bernstein.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/Chebyshev.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/Chebyshev.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/Hermite.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/Hermite.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/Interpolation.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/Interpolation.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/Lagrange.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/Lagrange.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/Legendre.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/Legendre.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/Newton.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/Newton.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/NumInstance.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/NumInstance.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/Pretty.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/Pretty.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/Type.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/Type.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/VectorSpace.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/polynomial-0.7.3-ETnAJAuRFkULqihDB71Vyw/Math/Polynomial/VectorSpace.hi
/usr/share/doc/libghc-polynomial-dev/buildinfo_i386.gz
/usr/share/doc/libghc-polynomial-dev/changelog.Debian.gz
/usr/share/doc/libghc-polynomial-dev/changelog.Debian.i386.gz
/usr/share/doc/libghc-polynomial-dev/copyright
/usr/share/lintian/overrides/libghc-polynomial-dev
/var/lib/ghc/package.conf.d/polynomial-0.7.3.conf

Changelog

2018-10-04 - Ilias Tsitsimpis <iliastsi@debian.org>
haskell-polynomial (0.7.3-5) unstable; urgency=medium
* Patch to build with ghc-8.4
2018-09-30 - Ilias Tsitsimpis <iliastsi@debian.org>
haskell-polynomial (0.7.3-4) unstable; urgency=medium
[ Clint Adams ]
* Set Rules-Requires-Root to no.
[ Ilias Tsitsimpis ]
* Bump debhelper compat level to 10
2018-04-16 - Clint Adams <clint@debian.org>
haskell-polynomial (0.7.3-3) unstable; urgency=medium
* Add in missing tests.
2018-04-16 - Clint Adams <clint@debian.org>
haskell-polynomial (0.7.3-2) unstable; urgency=medium
* Enable testsuite.
2018-04-15 - Clint Adams <clint@debian.org>
haskell-polynomial (0.7.3-1) unstable; urgency=medium
* New upstream release
2018-04-09 - Clint Adams <clint@debian.org>
haskell-polynomial (0.7.2-5) unstable; urgency=medium
[ Ilias Tsitsimpis ]
* Change Priority to optional. Since Debian Policy version 4.0.1,
priority extra has been deprecated.
* Use the HTTPS form of the copyright-format URL
* Modify d/watch and Source field in d/copyright to use HTTPS
* Declare compliance with Debian policy 4.1.1
* Use salsa.debian.org URLs in Vcs-{Browser,Git} fields
[ Clint Adams ]
* Bump to Standards-Version 4.1.4.
2016-10-27 - Clint Adams <clint@debian.org>
haskell-polynomial (0.7.2-4) unstable; urgency=medium
* Upload to unstable as part of GHC 8 transition.
2016-10-19 - Sean Whitton <spwhitton@spwhitton.name>
haskell-polynomial (0.7.2-3) experimental; urgency=medium
* Add fix-ghc-8.patch
2016-10-17 - Clint Adams <clint@debian.org>
haskell-polynomial (0.7.2-2) experimental; urgency=medium
* Temporarily build-depend on ghc 8.
2016-09-13 - Sean Whitton <spwhitton@spwhitton.name>
haskell-polynomial (0.7.2-1) unstable; urgency=medium
* Initial release (Closes: #837739).

See Also

Package Description
libghc-polynomial-doc_0.7.3-5_all.deb haskell types and functions for working with polynomials; documentation
libghc-polynomial-prof_0.7.3-5+b3_i386.deb haskell types and functions for working with polynomials; profiling libraries
libghc-polyparse-dev_1.12.1-1_i386.deb alternative parser combinator libraries for Haskell
libghc-polyparse-doc_1.12.1-1_all.deb alternative parser combinator libraries for Haskell; documentation
libghc-polyparse-prof_1.12.1-1_i386.deb alternative parser combinator libraries for Haskell; profiling libraries
libghc-posix-pty-dev_0.2.1.1-4+b3_i386.deb interact with pseudoterminals using subprocesses
libghc-posix-pty-doc_0.2.1.1-4_all.deb interact with pseudoterminals using subprocesses; documentation
libghc-posix-pty-prof_0.2.1.1-4+b3_i386.deb interact with pseudoterminals using subprocesses; profiling libraries
libghc-postgresql-libpq-dev_0.9.4.2-1_i386.deb low-level binding to libpq
libghc-postgresql-libpq-doc_0.9.4.2-1_all.deb low-level binding to libpq; documentation
libghc-postgresql-libpq-prof_0.9.4.2-1_i386.deb low-level binding to libpq; profiling libraries
libghc-postgresql-simple-dev_0.6.2-1+b1_i386.deb mid-level PostgreSQL client library
libghc-postgresql-simple-doc_0.6.2-1_all.deb mid-level PostgreSQL client library; documentation
libghc-postgresql-simple-prof_0.6.2-1+b1_i386.deb mid-level PostgreSQL client library; profiling libraries
libghc-pqueue-dev_1.4.1.2-1_i386.deb reliable, persistent, fast priority queues
Advertisement
Advertisement